openfoam/wmake/scripts/wmakeFilesAndOptions
2019-02-06 12:28:23 +00:00

80 lines
2.3 KiB
Bash
Executable File

#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd |
# \\/ M anipulation |
#-------------------------------------------------------------------------------
# | Copyright (C) 2011-2016 OpenFOAM Foundation
#------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
#
# Script
# wmakeFilesAndOptions
#
# Usage
# wmakeFilesAndOptions [-help]
#
# Description
# Scan current directory for directories and source files
# and construct Make/files and Make/options
#
#------------------------------------------------------------------------------
Script=${0##*/}
usage() {
while [ "$#" -ge 1 ]; do echo "$1"; shift; done
cat<<USAGE
Usage: $Script [-help]
Scans current directory for directories and source files and constructs
the 'Make/files' and 'Make/options' files.
USAGE
exit 1
}
# Find -help anywhere
for i
do
case "$i" in (-h | -help*) usage ;; esac
done
#------------------------------------------------------------------------------
# No options/arguments
[ "$#" -eq 0 ] || {
echo "$Script error: Unexpected options/arguments: $*" 1>&2
exit 1
}
if [ -e Make ]
then
echo "$Script error: Make directory already exists" 1>&2
exit 1
fi
mkdir Make
[ -e Make/files ] || "${0%/*}/makeFiles"
[ -e Make/options ] || "${0%/*}/makeOptions"
exit 0 # clean exit
#------------------------------------------------------------------------------